close all
clear all

figure_setup;
DS=0;
phi_pie=1.5;
beta=1.03^(-.25);
theta=3/4;
phi=1;
kappa=(1-theta)*(1-beta*theta)/theta*(1+phi);
rho=.2;

rrho=0.0001:.001:.99;
for ii = 1:length(rrho)
    rho=rrho(ii);
    [ga1,ga2,ga3] = get_solution(kappa,beta,rho,phi_pie,DS);
    if DS == 1
        rat(ii)=ga3/rho;
        gam3(ii)=ga3;
        real(ii)=ga3-ga1*rho;
    elseif DS==0
        rat(ii)=ga3/(rho-1);
        gam3(ii)=ga3;
        real(ii)=ga3-ga1*rho;
    end
end

if DS==1
    f=figure('Name','DS');
elseif DS==0
    f=figure('Name','TS');
end

plot(rrho,gam3,rrho,rrho)
xlabel('$\rho$')
if DS == 1
    plot(rrho,gam3,rrho,rrho,rrho,real)
    title('DS model')
    legend('coefficient on $r_{t}$','coefficient on natural rate','coefficient on real rate','Location','best')
    save_pdf(f,'DS_model_results.pdf',1.5);
elseif DS==0
    plot(rrho,gam3,rrho,rrho-1,rrho,real)
    title('TS model')
    legend('coefficient on $r_{t}$','coefficient on natural rate','coefficient on real rate','Location','best')
    save_pdf(f,'TS_model_results.pdf',1.5);
end


[Y,I]=min(abs(rat-1));



1+1;

